automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 15/32] test init: refactor: new function 'am_exit_trap'


From: Stefano Lattarini
Subject: [PATCH 15/32] test init: refactor: new function 'am_exit_trap'
Date: Thu, 26 Jul 2012 14:04:41 +0200

* t/ax/test-init.sh (am_exit_trap): Here.
(trap): Use it instead of inlining the cleanup/finialization code.

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/ax/test-init.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/t/ax/test-init.sh b/t/ax/test-init.sh
index d760d6e..47fb1cb 100644
--- a/t/ax/test-init.sh
+++ b/t/ax/test-init.sh
@@ -899,7 +899,9 @@ process_requirements $required
 distdir=$me-1.0
 
 # Set up the exit trap.
-trap 'exit_status=$?
+am_exit_trap ()
+{
+  exit_status=$1
   set +e
   cd "$am_top_builddir"
   if test $am_using_tap = yes; then
@@ -929,7 +931,9 @@ trap 'exit_status=$?
   echo "$me: exit $exit_status"
   # Spurious escaping to ensure we do not call our "exit" alias.
   \exit $exit_status
-' 0
+}
+
+trap 'am_exit_trap $?' 0
 trap "fatal_ 'caught signal SIGHUP'" 1
 trap "fatal_ 'caught signal SIGINT'" 2
 trap "fatal_ 'caught signal SIGTERM'" 15
-- 
1.7.12.rc0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]